Subject: [PATCH 1/2] ARM: dts: Fix muxing and regulator for wl12xx on the SDIO bus for pandaboard

From: [email-masked] (Tony Lindgren)
Date: Thu, 19 Sep 2013 07:53:45 -0700

* Luca Coelho <[email-masked]> [130918 22:50]:
> On Wed, 2013-09-18 at 16:47 -0700, Tony Lindgren wrote:
> > * Tony Lindgren <[email-masked]> [130918 11:00]:
> > > * Benoit Cousson <[email-masked]> [130918 02:12]:
> > > > Hi Tony,
> > > > 
> > > > On 18/09/2013 02:02, Tony Lindgren wrote:
> > > > >* Luca Coelho <[email-masked]> [130916 23:35]:
> > > > >>On Tue, 2013-09-17 at 09:26 +0300, Luca Coelho wrote:
> > > > >>>Both patches look good to me, though I didn't have the time to retest
> > > > >>>them.
> > > > >>
> > > > >>Actually I don't even have a Blaze device anymore, so I can't really
> > > > >>test the second patch. :(
> > > > >
> > > > >OK no problem, I've tested it on panda es.
> > > > 
> > > > Do we have someone out-there that still own a Blaze?
> > > > 
> > > > Anyway, I'm about to send a DTS fix branch for -rc2, so I'll include
> > > > these two patches.
> > > 
> > > OK yes good please do pick them up, I'll drop them from my
> > > not-yet-pushed-out omap-for-v3.12/fixes.
> > 
> > Hmm looks like there's also some new regression in the
> > wl12xx driver:
> > 
> > # iwconfig wlan0
> > wlan0     no wireless extensions.
> > 
> > My test script was just doing:
> > 
> > # iw dev wlan0 scan
> > 
> > And that works fine. Luca, any ideas?
> 
> Have you compiled WEXT support in your kernel? iwconfig uses the
> (deprecated) Wireless Extensions API.  iw uses the current nl80211 API.
> 
> If you want to use iwconfig and friends you need to enable
> CONFIG_CFG80211_WEXT.

OK thanks, I don't need to use iwconfig. Looks like the default
changed in commit 10bab00af (cfg80211: deprecate CFG80211_WEXT).

Regards,

Tony